# CONTRIBUTING

Contributions are always welcome, no matter how large or small. Substantial feature requests should be proposed as an [RFC](https://github.com/yarnpkg/rfcs). Before contributing,
please read the [code of conduct](CODE_OF_CONDUCT.md).

## Setup

1. Install yarn on your system: https://yarnpkg.com/en/docs/install
1. Fork the repo: https://github.com/yarnpkg/yarn
1. Run the following commands:

```sh
$ git clone YOUR_YARN_REPO_URL
$ cd yarn
$ yarn
$ yarn run build
```

## Building

```sh
$ yarn run build
```

```sh
$ yarn run watch
```

## Testing

```sh
$ yarn run test
```

```sh
$ yarn run lint
```

## Pull Requests

We actively welcome your pull requests.

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints.

## License

By contributing to Yarn, you agree that your contributions will be licensed
under its [BSD license](LICENSE).
